<?php

class Test extends yii\base\Widget
{
    public $var = 'test';
    
    public function init()
   {
        parent::init();
        echo 'starting';
    }
    public function run()
    {
        $this->render('test');
    }
    public function get()
    {
        echo "test date";
    }
    
}